#include <iostream>
#include "Array.h"

using std::cout;
using std::endl;
using std::cin;

int main()
{
	Array<char> arr;
	Array<double> arr2;

	char value = char();
	while ( cin >> value )
		arr.add(value);

	for (size_t i = 0; i < arr.count(); ++i )
		cout << i << ": " << arr[i] << endl;

	return 0;
}

